#include "commun.h"

SPRITE_SUP EWRAM_DATA sprites_sup[SPRITES_SUP_MAX];
u32 nSpritesSup;

void IWRAM_CODE AjSpriteSup(u32 x, u32 y)
{
        if (nSpritesSup >= SPRITES_SUP_MAX)
                return;
        sprites_sup[nSpritesSup].x = x;
        sprites_sup[nSpritesSup].y = y;
        sprites_sup[nSpritesSup].no_obj = objetsUtilises;
        nSpritesSup++;
}

void IWRAM_CODE VerifieSIlYABesoinDePlacerUnSprite(u32 x, u32 y, ECRAN *ecr)
{
        s32 i, j;
        i = x - ecr->scrlX;
        if (i > 240)
                i = 240;
        if (i < 0 && i > -64)
                i = 512 + i;
        j = y - ecr->scrlY;
        if (j > 160)
                j = 160;
        if (j < 0 && j > -64)
                j = 256 + j;
        if (i < 0)
                i = 240;
        if (j < 0)
                j = 160;
        posX = i;
        posY = j;
}
